#include<iostream>
#include<algorithm>
#include<vector>
using namespace std;
bool sortbysec(const pair<int,int> &a,const pair<int,int> &b) 
{ 
    return (a.second < b.second); 
} 
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int s=0,s1=0;
	int n;
	cin>>n;
	vector<pair<int,double> >v(n);
	for(int i=0;i<n;i++){
		cin>>v[i].first>>v[i].second;
		s+=v[i].first;
	}
	sort(v.begin(),v.end(),sortbysec);
	double max=-1.00000000000000;
	double zarada;
	for(int i=0;i<n;i++){
		zarada=(double)(s-s1)*((double)v[i].second/(double)100);
		if(zarada>max) max=zarada;
		s1+=v[i].first;
	}
	cout<<fixed;
	cout<<max;
}